% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/api-misc.R, R/class-meta.R
\docType{class}
\name{misc_make_metadata}
\alias{misc_make_metadata}
\alias{Metadata-class}
\alias{Metadata}
\alias{experimental_strategy}
\alias{library_id}
\alias{platform}
\alias{platform_unit_id}
\alias{file_segment_number}
\alias{quality_scale}
\alias{paired_end}
\alias{data_format}
\alias{file_extension}
\alias{reference_genome}
\alias{data_type}
\alias{data_subtype}
\alias{analysis_uuid}
\alias{gdc_file_uuid}
\alias{access_level}
\alias{investigation}
\alias{case_id}
\alias{case_uuid}
\alias{gender}
\alias{race}
\alias{ethnicity}
\alias{primary_site}
\alias{disease_type}
\alias{age_at_diagnosis}
\alias{vital_status}
\alias{days_to_death}
\alias{sample_id}
\alias{sample_uuid}
\alias{sample_type}
\alias{aliquot_id}
\alias{aliquot_uuid}
\title{Meta schema}
\usage{
misc_make_metadata()
}
\value{
a Metadata object
}
\description{
Meta schema
}
\details{
V2 version for meta data schema
}

\examples{
# show schema (you can still provide customized one)
# empty beause they are all NULL
Metadata()
# show schema
Metadata()$show(TRUE)
# or
names(Metadata()$asList(TRUE))
# returned meta field is actually define as function too, direclty
# call them will give you details
platform()
paired_end()
quality_scale()
# check their suggested value and construct your metadata
Metadata(platform  = "Affymetrix SNP Array 6.0", paired_end = 1, quality_scale = "sanger")
}
